#!/bin/bash
# all env var needed to have this stuff work.
# Script is tuned by default for git clone folder structure. Which default values should be sufficient for optimal usage.

##Best pratice is to use in user folder.
export CASTORPOUTINE_ROOT_FOLDER=$PWD
export CASTORPOUTINE_CONF_FOLDER_PATH=$CASTORPOUTINE_ROOT_FOLDER/conf
export CASTORPOUTINE_PKG_FOLDER_PATH=$CASTORPOUTINE_ROOT_FOLDER/pkg
export CASTORPOUTINE_TEMP_FOLDER_PATH=$CASTORPOUTINE_ROOT_FOLDER/temp
export CASTORPOUTINE_DAEMON_RUNNER_SRC=$CASTORPOUTINE_TEMP_FOLDER_PATH/runner.zip
export CASTORPOUTINE_NODEJS_WIN64_MSI=$CASTORPOUTINE_ROOT_FOLDER/3rdparty/node-v12.10.0-x64.msi
export CASTORPOUTINE_NODEJS_EL7_RPM=$CASTORPOUTINE_ROOT_FOLDER/3rdparty/node-v10.16.3-linux-x64.tar.xz

export CASTORPOUTINE_TEST_RUNNER_DO_NOT_START='true'

export CASTORPOUTINE_IP=`hostname -i`
export CASTORPOUTINE_PORT='8080'

echo '--- Launching CastorPoutine Client ---'
echo '--- Runtime ENVIRONMENT Variables ---'

echo 'CASTORPOUTINE_ROOT_FOLDER='$CASTORPOUTINE_ROOT_FOLDER
echo 'CASTORPOUTINE_CONF_FOLDER_PATH='$CASTORPOUTINE_CONF_FOLDER_NAME
echo 'CASTORPOUTINE_PKG_FOLDER_PATH='$CASTORPOUTINE_PKG_FOLDER_PATH
echo 'CASTORPOUTINE_TEMP_FOLDER_PATH='$CASTORPOUTINE_TEMP_FOLDER_PATH
echo 'CASTORPOUTINE_DAEMON_RUNNER_SRC='$CASTORPOUTINE_DAEMON_RUNNER_SRC
echo 'CASTORPOUTINE_NODEJS_WIN64_MSI='$CASTORPOUTINE_NODEJS_WIN64_MSI
echo 'CASTORPOUTINE_NODEJS_EL7_RPM='$CASTORPOUTINE_NODEJS_EL7_RPM
echo 'CASTORPOUTINE_IP='$CASTORPOUTINE_IP
echo 'CASTORPOUTINE_PORT='$CASTORPOUTINE_PORT

echo 'Creating archive for clients'
zip -r1q ./temp/runner.zip runner

cd electron
npm start
